libfinance-quote-perl (1.64-3) unstable; urgency=medium

  * Add patch from upstream Git to fix YahooJSON.
    Thanks to Bill Wohler for the bug report. (Closes: #1098687)
  * Declare compliance with Debian Policy 4.7.1.

 -- gregor herrmann <gregoa@debian.org>  Sun, 23 Feb 2025 02:22:35 +0100

libfinance-quote-perl (1.64-2) unstable; urgency=medium

  [ Sébastien Villemot ]
  * xetra.patch: new patch, fixes failure to retrieve quotes with XETRA source
    (Closes: #1094229)

  [ gregor herrmann ]
  * Update years of packaging copyright.

 -- gregor herrmann <gregoa@debian.org>  Mon, 27 Jan 2025 20:25:44 +0100

libfinance-quote-perl (1.64-1) unstable; urgency=medium

  * Import upstream version 1.64.

 -- gregor herrmann <gregoa@debian.org>  Sun, 08 Dec 2024 00:42:20 +0100

libfinance-quote-perl (1.63-1) unstable; urgency=medium

  * Import upstream version 1.63.
    Added: FinanceAPI.pm
  * Update years of upstream copyright.

 -- gregor herrmann <gregoa@debian.org>  Sun, 22 Sep 2024 16:55:24 +0200

libfinance-quote-perl (1.62-1) unstable; urgency=medium

  * Import upstream version 1.62.
    Added: CurrencyFreaks.pm, StockData.pm, BorsaItaliana.pm;
    re-added: Fool.pm.
  * Update upstream copyright holders.
  * CONTRIBUTING.pod is gone.

 -- gregor herrmann <gregoa@debian.org>  Sun, 19 May 2024 13:52:25 +0200

libfinance-quote-perl (1.61-1) unstable; urgency=medium

  * Import upstream version 1.61.
    Fixes for SIX.pm and YahooJSON.pm.

 -- gregor herrmann <gregoa@debian.org>  Sun, 21 Apr 2024 17:40:25 +0200

libfinance-quote-perl (1.60-1) unstable; urgency=medium

  * Import upstream version 1.60.
    + Removed modules: Fidelity.pm, Cdbfundlibrary.com, Fundata.pm,
      and Fool.pm.
    + Fixed modules: YahooJSON.pm (closes: #1068949), Bloomberg.pm,
      and NSEIndia.pm
  * Install new CONTRIBUTING.pod file.
  * Update (test) dependencies.
  * Declare compliance with Debian Policy 4.7.0.

 -- gregor herrmann <gregoa@debian.org>  Tue, 16 Apr 2024 17:23:22 +0200

libfinance-quote-perl (1.59-1) unstable; urgency=medium

  * Import upstream version 1.59.
  * Update years of packaging copyright.

 -- gregor herrmann <gregoa@debian.org>  Mon, 01 Jan 2024 22:58:49 +0100

libfinance-quote-perl (1.58-1) unstable; urgency=medium

  * Import upstream version 1.58.
    Closes: #1037051
  * Update list of upstream copyright holders.
  * Update (versioned) test and runtime dependencies.
  * Drop all patches.
    (Taken from upstream and/or merged/fixed.)

 -- gregor herrmann <gregoa@debian.org>  Fri, 10 Nov 2023 01:30:55 +0100

libfinance-quote-perl (1.54-3) unstable; urgency=medium

  * Add patch GH263_URL_MorningstarJP.patch from upstream Git repo.
    URL change in MorningstarJP.pm. (GH#263)
  * Add patch GH262_Regex_FTfunds.patch from upstream Git repo.
    Tweak regex to fix FTfunds.pm. (GH#262)
  * Add patch GH267_TRV_AlphaVantage.patch from upstream Git repo.
    Added currency map .TRV => CAD. (GH#267)
  * Add patch GH268_URL_YahooJSON.patch from upstream Git repo.
    Quick fix to YahooJSON.pm. (GH#268)
    Thanks to David Engel for the bug report. (Closes: #1035690)

 -- gregor herrmann <gregoa@debian.org>  Sun, 14 May 2023 20:04:45 +0200

libfinance-quote-perl (1.54-2) unstable; urgency=medium

  * Drop text-trim.patch, libstring-util-perl is packaged now.
  * Replace test and runtime dependency on libtext-trim-perl
    with libstring-util-perl.

 -- gregor herrmann <gregoa@debian.org>  Sun, 05 Feb 2023 14:24:34 +0100

libfinance-quote-perl (1.54-1) unstable; urgency=medium

  * Import upstream version 1.54.
  * Update upstream copyright holders and packaging copyright years.
  * Declare compliance with Debian Policy 4.6.2.
  * Update (test) dependencies.
  * Refresh text-trim.patch.

 -- gregor herrmann <gregoa@debian.org>  Sun, 15 Jan 2023 02:19:53 +0100

libfinance-quote-perl (1.53-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 30 Nov 2022 16:07:48 +0000

libfinance-quote-perl (1.53-1) unstable; urgency=medium

  * Import upstream version 1.53.
  * Make (test) dependency on libwww-perl versioned.
  * Update upstream copyright holders.
  * Update years of packaging copyright.
  * Refresh text-trim.patch.

 -- gregor herrmann <gregoa@debian.org>  Tue, 11 Oct 2022 18:36:09 +0200

libfinance-quote-perl (1.52-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 1.52.
  * d/copyright: add Manuel Friedli with new update.
  * Declare compliance with Debian Policy 4.6.1.
  * Refresh text-trim.patch.

 -- Étienne Mollier <emollier@debian.org>  Sun, 10 Jul 2022 09:46:31 +0200

libfinance-quote-perl (1.51-1) unstable; urgency=medium

  * New upstream version 1.51.
  * Drop online.patch, fixed upstream.
  * Drop MorningstarUK.patch, which was taken from upstream.
  * Unfuzz text-trim.patch.
  * Remove removed files from debian/libfinance-quote-perl.docs.
  * Declare compliance with Debian Policy 4.6.0.

 -- gregor herrmann <gregoa@debian.org>  Wed, 01 Sep 2021 21:50:58 +0200

libfinance-quote-perl (1.50~rc2-2) unstable; urgency=medium

  * Add patch from upstream GitHub pull request to fix a problem with
    the Morningstar UK screen scraper.
  * Upload to unstable to get this version into bullseye.
    While the changes are not exactly minimal, this version is apparently much
    better than what we have in testing right now.

 -- gregor herrmann <gregoa@debian.org>  Sun, 28 Mar 2021 01:26:17 +0100

libfinance-quote-perl (1.50~rc2-1) experimental; urgency=medium

  * New upstream version 1.50~rc2.
    (With a recreated tarball which removes '._*'.)
  * Remove patches which are applied upstream.
  * Add new upstream copyright holder.

 -- gregor herrmann <gregoa@debian.org>  Fri, 19 Mar 2021 21:46:49 +0100

libfinance-quote-perl (1.50~rc1-1) experimental; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository.

  [ gregor herrmann ]
  * New upstream version 1.50~rc1.
  * Install more upstream docs.
  * Update long description.

  * Drop patch whatis.diff, merged upstream.
  * Drop patch 06_seb.diff, fixed upstream.
  * Drop mozilla-ca.patch, not needed anymore.
  * Drop spelling.patch, merged upstream.
  * Replace string-util-trim.patch with text-trim.patch.
    The former added a trim() function to one file. The latter now uses
    Text::Trim's trim() in various modules.
  * Add libtext-trim-perl to Build-Depends-Indep and Depends.
  * Add a patch to fix some POD issues.
  * Add a patch to make another online test conditional.
  * Add a patch to fix some spelling mistakes in the POD.

  * Add new test and runtime dependencies.
  * Declare compliance with Debian Policy 4.5.1.
  * Set Rules-Requires-Root: no.
  * Bump debhelper-compat to 13.
  * Update list of upstream copyright holders.
  * Update years of packaging copyright.
  * Drop information about removed file from debian/copyright.
  * Upload to experimental to get some testing for this new release candidate.

 -- gregor herrmann <gregoa@debian.org>  Sun, 07 Mar 2021 01:49:25 +0100

libfinance-quote-perl (1.49-1) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ gregor herrmann ]
  * Import upstream version 1.49.
  * debian/watch: remove commented out second source URL.
  * Refresh patches.
  * Update Source URL in debian/copyright.
  * Update years of upstream and packaging copyright.
  * Update build and runtime dependencies.
  * Declare compliance with Debian Policy 4.4.1.
  * Bump debhelper-compat to 12.
  * debian/watch: use uscan version 4.
  * Remove obsolete fields Name, Contact from debian/upstream/metadata.
  * Fix day-of-week for changelog entries 1.08-1.
  * Add patch to replace 'String::Util qw(trim)' with a trim() method.

 -- gregor herrmann <gregoa@debian.org>  Fri, 15 Nov 2019 14:03:17 +0100

libfinance-quote-perl (1.47-1) unstable; urgency=medium

  * Team upload

  * Import upstream version 1.47
  * Refresh spelling.patch

 -- Florian Schlichting <fsfs@debian.org>  Fri, 24 Nov 2017 12:46:09 +0100

libfinance-quote-perl (1.45-1) unstable; urgency=medium

  * Team upload

  * Import upstream version 1.42, 1.45
  * Add upstream metadata
  * Change debian/watch to use metacpan.org, as it seems to have newer releases
    not available from sourceforge
  * Declare compliance with Debian Policy 4.1.1
  * Drop deka patches, module has been rewritten
  * Refresh and forward patches

 -- Florian Schlichting <fsfs@debian.org>  Fri, 10 Nov 2017 22:30:56 +0100

libfinance-quote-perl (1.38-2) unstable; urgency=medium

  * Take over for the Debian Perl Group; Closes: #815261 -- RFA/ITA
  * debian/control: Changed: Maintainer set to Debian Perl Group <pkg-
    perl-maintainers@lists.alioth.debian.org> (was: Sébastien Villemot
    <sebastien@debian.org>).
  * Rename and simplify debian/{,libfinance-quote-perl.}examples.
  * Rename debian/{,libfinance-quote-perl.}docs.
  * debian/copyright: use HTTPS for various URLs. Thanks to duck.
  * Mark package as autopkgtest-able.
  * Declare compliance with Debian Policy 4.0.1.
  * Update Vcs-* headers.
  * Add /me to Uploaders.
  * Refresh patches with uniform quilt settings, and complete DEB3
    headers.
  * Mention module name in long description.
  * Add another fix to debian/patches/whatis.diff.
  * Add a new patch to fix spelling mistakes in the docs.

 -- gregor herrmann <gregoa@debian.org>  Mon, 21 Aug 2017 21:54:33 +0200

libfinance-quote-perl (1.38-1) unstable; urgency=medium

  * Imported Upstream version 1.38

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 29 Aug 2015 00:12:27 +0200

libfinance-quote-perl (1.37-2) unstable; urgency=medium

  * Add libcgi-pm-perl | perl (<< 5.19) as (Build-)Dependency.
    Necessary for perl 5.22 transition, since CGI module is no longer part of
    core. (Closes: #789220)

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 20 Jun 2015 18:36:29 +0200

libfinance-quote-perl (1.37-1) unstable; urgency=medium

  * Imported Upstream version 1.37
  * d/control: reflect changes of (Build-)Dependencies:
    + libcrypt-ssleay-perl replaced by liblwp-protocol-https-perl
    + libdate-calc-perl replaced by libdatetime-perl
  * Bump to Standards-Version 3.9.6, no changes needed.

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 30 Apr 2015 19:46:26 +0200

libfinance-quote-perl (1.35-1) unstable; urgency=medium

  * Imported Upstream version 1.35
  * debian/copyright: rewrite in machine-readable 1.0 format.
  * yahoo-new-URLs.patch: remove patch, applied upstream.
  * Add libdate-calc-perl and libjson-perl to (Build-)Depends.
  * mozilla-ca.patch: new patch, removes unneeded dependency on Mozilla::CA.
  * debian/rules: remove kludge for skipping bsero.t test, no longer needed.
  * whatis.diff:
     + merge whatis-related patches into a single patch
     + fix entries for Finance::Quote::{CSE,Bourso}

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 29 Jun 2014 17:51:17 +0200

libfinance-quote-perl (1.18-2) unstable; urgency=medium

  * Adopt package. (Closes: #739819)
  * yahoo-new-URLs.patch: new patch, updates URLs of Yahoo!! Finance services.
    (Closes: #739142)
  * Add Vcs-* fields.

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 25 Feb 2014 21:51:42 +0100

libfinance-quote-perl (1.18-1) unstable; urgency=low

  * Adopt package. Closes: #731791
  * New upstream release
  * Refresh patches
  * Bump debhelper to 9
  * debian/control:
    - Update long description
    - Bump standards-version to 3.9.5
  * Drop lintian overrides

 -- Jackson Doak <noskcaj@ubuntu.com>  Thu, 12 Dec 2013 07:06:02 +1100

libfinance-quote-perl (1.17+git20120506-1) unstable; urgency=low

  * New upstream version from git.
  * Online tests currencies.t, currency.t and currency_lookup.t work.
    The example program currency-lookup.pl works.  Closes: #660383.
  * The little script "demobug" on bug 651689 now consistently produces "Stock
    lookup failed".  Closes: #651689.
  * debian/patches/02_typo.diff: Removed.
  * debian/control: Build-Depends: libcrypt-ssleay-perl.

 -- Bart Martens <bartm@debian.org>  Sun, 06 May 2012 15:12:57 +0000

libfinance-quote-perl (1.17+git20110918-1) unstable; urgency=low

  * New upstream version from git.
    + Online test tsp.t works now.  Closes: #610186.
    + Online test vwd.t works now.  Closes: #564639.
    + Closing bug tagged fixed-upstream.  Closes: #517626.
  * Switch to dpkg-source 3.0 (quilt) format.
  * debian/rules: Skip online test bsero.t.

 -- Bart Martens <bartm@debian.org>  Sun, 18 Sep 2011 03:51:13 +0200

libfinance-quote-perl (1.17-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/09_currency.diff: Removed.

 -- Bart Martens <bartm@debian.org>  Mon, 12 Oct 2009 20:33:44 +0200

libfinance-quote-perl (1.16-4) unstable; urgency=low

  * debian/patches/09_currency.diff: Added.  Closes: #528844.  Fixes problem
    with currency exchange rates.

 -- Bart Martens <bartm@debian.org>  Thu, 10 Sep 2009 17:24:04 +0200

libfinance-quote-perl (1.16-3) unstable; urgency=low

  * debian/patches/08_deka.diff: Added.  Closes: #539052.
    Patch by Daniel Bayer <daniel@halbordnung.de>, thanks.

 -- Bart Martens <bartm@debian.org>  Wed, 29 Jul 2009 11:10:43 +0200

libfinance-quote-perl (1.16-2) unstable; urgency=low

  * debian/patches/07_encoding.diff: Disabled.  Closes: #531788.

 -- Bart Martens <bartm@debian.org>  Sun, 07 Jun 2009 11:47:26 +0200

libfinance-quote-perl (1.16-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright: Updated.

 -- Bart Martens <bartm@debian.org>  Sun, 10 May 2009 19:27:38 +0200

libfinance-quote-perl (1.15-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/03_whatis.diff: Updated.
  * debian/patches/05_yahoo_e.diff: Disabled.

 -- Bart Martens <bartm@debian.org>  Mon, 09 Mar 2009 17:05:57 +0100

libfinance-quote-perl (1.13-4) unstable; urgency=low

  * debian/patches/07_encoding.diff: Added.  Closes: #490395.

 -- Bart Martens <bartm@debian.org>  Wed, 27 Aug 2008 19:21:21 +0200

libfinance-quote-perl (1.13-3) unstable; urgency=low

  * debian/patches/05_yahoo_e.diff: Added.  Closes: #478576.
  * debian/patches/06_seb.diff: Added.  Fixes broken link.

 -- Bart Martens <bartm@debian.org>  Sun, 29 Jun 2008 16:58:41 +0200

libfinance-quote-perl (1.13-2) unstable; urgency=low

  * debian/control: Updated Standards-Version, Homepage, and my e-mail.
  * Fixed debian-copyright-file-uses-obsolete-national-encoding.
  * debian/patches/03_whatis.diff: Added.  Fixes manpage-has-bad-whatis-entry.
  * debian/patches/04_deka.diff: Added.  Closes: #431293.
  * debian/rules: Added some testcoding.

 -- Bart Martens <bartm@debian.org>  Sun, 03 Feb 2008 13:38:01 +0100

libfinance-quote-perl (1.13-1) unstable; urgency=low

  * New upstream release.  Closes: #412259.
  * debian/patches/Deka.pm.diff: Removed obsolete patch.
  * debian/patches/02_typo.diff: Added.  Closes: #409358.

 -- Bart Martens <bartm@knars.be>  Sat, 14 Apr 2007 18:40:49 +0200

libfinance-quote-perl (1.12-2) unstable; urgency=low

  * debian/control: Added libcrypt-ssleay-perl to Depends.
  * debian/patches/Deka.pm.diff: Changes needed for changed DekaBank website.
    Closes: #400674.  Patch by Vincent Smeets <V.Smeets@T-Online.de>, thanks.

 -- Bart Martens <bartm@knars.be>  Tue, 28 Nov 2006 07:57:20 +0100

libfinance-quote-perl (1.12-1) unstable; urgency=low

  * New maintainer.  Closes: #398116.
  * Acknowledge NMU.  Closes: #320815, #322819, #350093.
  * New upstream release.  Closes: #382910, #342843.
  * debian/*: Repackaged with cdbs.
  * debian/copyright: Updated.
  * debian/lintian/libfinance-quote-perl: Lintian override for long URL in
    Finance::Quote::SEB.3pm.
  * debian/watch: Added.

 -- Bart Martens <bartm@knars.be>  Sun, 12 Nov 2006 12:40:36 +0100

libfinance-quote-perl (1.11-0.1) unstable; urgency=low

  * Non Maintainer Upload.
  * New upstream release (closes: #320815)
  * Remove /usr/doc (closes: #322819)
  * Move binary indep files to /usr/share (closes: #350093)
  * Attempt to run the tests on build (even though they aren't actually
    run currently because upstream has disabled them.)
  * Upgrade the Standards version to 3.6.2; changes above required.

 -- Don Armstrong <don@debian.org>  Sun, 19 Feb 2006 15:22:40 -0800

libfinance-quote-perl (1.08-1) unstable; urgency=low

  * Version update (closes: Bug#115559)
  * It also (closes: Bug#181359)

 -- Ross Peachey <rcp@debian.org>  Sun, 13 Jul 2003 15:13:12 +1000

libfinance-quote-perl (1.07-2) stable testing unstable; urgency=low

  * Added dependency on libwww-perl (closes: Bug#171058)

 -- Ross Peachey <rcp@debian.org>  Fri, 27 Dec 2002 09:02:40 +1000

libfinance-quote-perl (1.07-1) unstable; urgency=low

  * Version update (closes: Bug#147511)

 -- Ross Peachey <rcp@debian.org>  Mon, 15 Jul 2002 18:48:36 +1000

libfinance-quote-perl (1.06-2) unstable; urgency=low

  * Remove spurious dependancy (closes: Bug#118649)

 -- Ross Peachey <rcp@debian.org>  Sun, 11 Nov 2001 18:48:36 +1100

libfinance-quote-perl (1.06-1) unstable; urgency=low

  * Version update.

 -- Ross Peachey <rcp@debian.org>  Tue, 03 Jul 2001 21:14:12 +1000

libfinance-quote-perl (1.05-1) unstable; urgency=low

  * Initial Debian release.

 -- Ross Peachey <rcp@debian.org>  Wed, 14 Feb 2001 15:24:49 +1100
